Summary:	Lynx-style info browser
Summary(es.UTF-8):	Visualizador de páginas info y man
Summary(pl.UTF-8):	Przeglądarka info w stylu lynksa
Summary(pt_BR.UTF-8):	Visualizador de páginas info e man
Summary(ru.UTF-8):	Программа просмотра info- и man-документов в стиле lynx
Summary(uk.UTF-8):	Програма перегляду info- та man-документів у стилі lynx
Name:		pinfo
Version:	0.6.9
Release:	9
License:	GPL v2
Group:		Applications/System
Source0:	https://alioth.debian.org/download.php/1498/%{name}-%{version}.tar.bz2
# Source0-md5:	e0c788467945f5f97fbacad55863e5b8
Source1:	%{name}.sh
Source2:	%{name}.csh
Patch0:		%{name}-amfix.patch
Patch1:		%{name}-home_etc.patch
Patch2:		%{name}-pl.po-update.patch
Patch3:		%{name}-info.patch
Patch4:		%{name}-ncurses.patch
Patch5:		%{name}-color.patch
URL:		http://pinfo.alioth.debian.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	readline-devel >= 4.0
BuildRequires:	texinfo
Requires:	setup >= 2.4.6-2
Suggests:	man
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pinfo is a curses based lynx-style info browser.

%description -l es.UTF-8
Visualizador de páginas info y man.

%description -l pl.UTF-8
Pinfo jest przeglądarką dokumentów info podobną do lynksa.

%description -l pt_BR.UTF-8
Visualizador hipertexto de arquivos info e páginas de manual, com
interface semelhante ao lynx. Suporta pesquisa de expressões
regulares.

%description -l ru.UTF-8
Pinfo - это программа просмотра info-файлов и man-страниц. Ее
интерфейс пользователя похож на интерфейс Lynx. Поддерживается поиск
по регулярным выражениям.

%description -l uk.UTF-8
Pinfo - це програма перегляду info-файлів та man-сторінок. Її
інтерфейс подібний до інтерфейсу Lynx. Підтримується пошук по
регулярним виразам.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

rm -f doc/pinfo.info po/stamp-po

%build
CPPFLAGS="-I%{_includedir}/ncursesw"
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/shrc.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/shrc.d/%{name}.sh
install %{SOURCE2} $RPM_BUILD_ROOT/etc/shrc.d/%{name}.csh

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS AUTHORS README
%attr(755,root,root) %{_bindir}/pinfo
/etc/shrc.d/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pinforc
%{_mandir}/man1/*
%{_infodir}/pinfo*
%changelog
* Mon Mar 12 2012 Jan Rękorajski <baggins@pld-linux.org> 73da15a
- rel 9
- there is no need for man-config, and no man-config

* Tue Jan 24 2012 lisu <lisu@pld-linux.org> e30c6f6
- no more separated libtinfo(w)

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3bfa322
- release 8

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> dee4b65
- dropped pre-cvs changelog

* Tue Nov 10 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 8638100
- rel 7; link with wide ncurses and tinfo

* Mon Feb 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> f108b31
- release 6

* Thu Feb 19 2009 witekfl <witekfl@pld-linux.org> 8d4c2d8
- added the color.patch with support for 256 colors eg. color234 in .pinforc
- rel 5

* Thu Feb 19 2009 witekfl <witekfl@pld-linux.org> 6088b31
- support for 256 colors.

* Wed Feb 18 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> e2b99a6
- rel 4

* Wed Feb 18 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 5449521
- release 3

* Mon Jun 09 2008 Adam Gołębiowski <adamg@pld-linux.org> ea751b0
- Suggests: man

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 75cf8be
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Tue Feb 27 2007 qrczak <qrczak@pld-linux.org> 6079215
- pinfo-ncurses.patch: fixed linking ncurses with --as-needed
- Release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 73e4bec
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4307e71
- converted to UTF-8

* Sun Mar 19 2006 Jakub Bogusz <qboosh@pld-linux.org> 80bbf4b
- added pl.po-update patch, restored and updated info patch

* Sun Mar 19 2006 Jakub Bogusz <qboosh@pld-linux.org> 0922224
- updated for 0.6.9

* Sun Mar 19 2006 Jakub Bogusz <qboosh@pld-linux.org> 3eba05b
- update pl.po

* Sun Mar 19 2006 Jakub Bogusz <qboosh@pld-linux.org> 5c167fd
- obsolete/replaced by pl.po-update patch

* Sun Mar 19 2006 Jakub Bogusz <qboosh@pld-linux.org> 40b0c85
- needs readline >= 4.0

